using DIWithinProgram;

var builder = WebApplication.CreateBuilder(args);

builder.Services.AddControllers();
builder.Services.AddScoped<ISomeService, SomeService>();

var app = builder.Build();

int result = 0;
using (var scope = app.Services.CreateScope())
{
    var someService = scope.ServiceProvider.GetRequiredService<ISomeService>();
    result = someService.Add(2, 3);
}   
app.MapGet("/", () => result);  

app.MapControllers();

app.Run();
